Package org.tanukisoftware.wrapper.event

# Class WrapperLogFileChangedEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent
org.tanukisoftware.wrapper.event.WrapperLoggingEvent
org.tanukisoftware.wrapper.event.WrapperLogFileChangedEvent

All Implemented Interfaces:
  `Serializable`

public class WrapperLogFileChangedEvent extends WrapperLoggingEvent
WrapperLogFileChangedEvent are fired whenever the log file used by the Wrapper is changed. This can happen due to nightly log rotation for example.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WrapperLogFileChangedEvent(File logFile)`
Creates a new WrapperLogFileChangedEvent.

## Method Summary

Modifier and Type
Method
Description
`File`
`getLogFile()`
Returns the updated log file name.
`String`
`toString()`
Returns a string representation of the event.

### Methods inherited from class org.tanukisoftware.wrapper.event.WrapperLoggingEvent

`getFlags`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperLogFileChangedEvent

public WrapperLogFileChangedEvent(File logFile)
Creates a new WrapperLogFileChangedEvent.

Parameters:
  `logFile` - The log file.

## Method Details

### getLogFile

public File getLogFile()
Returns the updated log file name.

Returns:
  The updated log file name.

### toString

public String toString()
Returns a string representation of the event.

Overrides:
  `toString` in class `EventObject`
Returns:
  A string representation of the event.